## org.eclipse.emf.ecore.util
Interface FeatureMap.Entry

All Known Subinterfaces:
  FeatureMap.Entry.Internal

All Known Implementing Classes:
  EStructuralFeatureImpl.BasicFeatureMapEntry, EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry, EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry, EStructuralFeatureImpl.SimpleFeatureMapEntry, FeatureMapEntryImpl, FeatureMapUtil.EntryImpl

Enclosing interface:
  FeatureMap

    public static interface FeatureMap.Entry

A pair consisting of a feature and a single value of that feature's type.

Nested Class Summary
`static interface` `FeatureMap.Entry.Internal`

Method Summary
`EStructuralFeature` `getEStructuralFeature()` Returns the feature.
`java.lang.Object` `getValue()` Returns the value.

Method Detail

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature()

  Returns the feature.

  Returns:
    the feature.

### getValue

    java.lang.Object getValue()

  Returns the value.

  Returns:
    the value.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.